package com.bcxin.ins.weixin.product.dao;


import com.bcxin.ins.entity.tpost.TposThrUser;
import com.bcxin.ins.spring.annotation.MyBatisDao;
import com.bcxin.mybatisplus.mapper.BaseMapper;

import java.util.List;
import java.util.Map;


/**
 * <b>白名单 </b>
 * 
 * @author liyongqiang
 * @date 2017年2月10日 下午4:07:22
 * @注意事项 </b>
 * <b>
 */
@MyBatisDao
public interface WeiXinProductMapper {

    List<Map<Object,Object>> query(Map<Object, Object> p);
    int queryCnt(Map<Object, Object> p);

    List<Map<Object,Object>> queryResponseByProPrimaryIDs(List<Map<Object, Object>> list);
    List<Map<Object,Object>> queryClausesByProPrimaryIDs(List<Map<Object, Object>> list);
    List<Map<Object,Object>> queryByProductID(Map<Object, Object> p);
    List<Map<Object,Object>> queryByProductCode(Map<Object, Object> p);

}
